// Notifications
//OC.Notification.showHtml(jQuery('#dematpayslip_alert').html());
jQuery('#dematpayslip_alert_danger_btn').click(function(){
    jQuery('#dematpayslip_alert_danger').hide();
});
jQuery('#dematpayslip_alert_warning_btn').click(function(){
    jQuery('#dematpayslip_alert_warning').hide();
});
jQuery('#dematpayslip_alert_success_btn').click(function(){
    jQuery('#dematpayslip_alert_success').hide();
});

jQuery('#dematpayslips_process_cancel_btn').click(function(){
    jQuery('#dematpayslips_check_form').attr('action', jQuery('#dematpayslips_process_cancel_btn').attr('data-url'));
    jQuery('#dematpayslips_check_form').submit();
});

jQuery(document).ready(function(){
     jQuery('#agent_list').DataTable({
         "language" : {
             "processing":     "Traitement en cours...",
             "search":         "Rechercher&nbsp;:",
             "lengthMenu":     "Afficher _MENU_ &eacute;l&eacute;ments",
             "info":           "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
             "infoEmpty":      "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
             "infoFiltered":   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
             "infoPostFix":    "",
             "loadingRecords": "Chargement en cours...",
             "zeroRecords":    "Aucun &eacute;l&eacute;ment &agrave; afficher",
             "emptyTable":     "Aucune donn&eacute;e disponible dans le tableau",
             "paginate": {
                 "first":      "Premier",
                 "previous":   "Pr&eacute;c&eacute;dent",
                 "next":       "Suivant",
                 "last":       "Dernier"
             },
             "oAria": {
                 "sortAscending":  ": activer pour trier la colonne par ordre croissant",
                 "sortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
             },
             "select": {
                 "rows": {
                     _: "%d lignes séléctionnées",
                     0: "Aucune ligne séléctionnée",
                     1: "1 ligne séléctionnée"
                 }
             }
         },
         "order" : [[4, 'desc'], [1, 'asc'], [0, 'asc']],
         "pageLength": 50
     });
});

jQuery(document).ready(function(){
    let paramStepStatus = parseInt(jQuery('#param_step_status').val());

    let buttons = [];
    if (paramStepStatus === 0) {
        buttons.push({
            'id': 'btn_create',
            'text': 'Traiter',
            'action': function() {
                jQuery('#demmatpayslip_archive_action').val('create');
                jQuery('#demmatpayslip_archive_action_form').submit();
            }
        });
        buttons.push({
            'id': 'btn_create_all',
            'text': 'Tout traiter',
            'action': function() {
                jQuery('#demmatpayslip_archive_action').val('create_all');
                jQuery('#demmatpayslip_archive_action_form').submit();
            }
        });
        buttons.push({
            'id': 'btn_delete',
            'text': 'Enlever du traitement',
            'action': function() {
                jQuery('#demmatpayslip_archive_action').val('delete');
                jQuery('#demmatpayslip_archive_action_form').submit();
            }
        });
    }
    if (paramStepStatus === 1) {
        buttons.push({
            'id': 'btn_run_again',
            'text': 'Relancer le traitement',
            'action': function() {
                jQuery('#demmatpayslip_archive_action').val('run_again');
                jQuery('#demmatpayslip_archive_action_form').submit();
            }
        });
    }
    if (paramStepStatus === 1 || paramStepStatus === 2) {
        buttons.push({
            'id': 'btn_refresh_status',
            'text': 'Actualiser les états',
            'action': function() {
                jQuery('#demmatpayslip_archive_action').val('refresh_status');
                jQuery('#demmatpayslip_archive_action_form').submit();
            }
        });
    }

    var table = jQuery('#archive_list').DataTable({
        "language" : {
            "processing":     "Traitement en cours...",
            "search":         "Rechercher&nbsp;:",
            "lengthMenu":     "Afficher _MENU_ &eacute;l&eacute;ments",
            "info":           "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
            "infoEmpty":      "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
            "infoFiltered":   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
            "infoPostFix":    "",
            "loadingRecords": "Chargement en cours...",
            "zeroRecords":    "Aucun &eacute;l&eacute;ment &agrave; afficher",
            "emptyTable":     "Aucune donn&eacute;e disponible dans le tableau",
            "paginate": {
                "first":      "Premier",
                "previous":   "Pr&eacute;c&eacute;dent",
                "next":       "Suivant",
                "last":       "Dernier"
            },
            "oAria": {
                "sortAscending":  ": activer pour trier la colonne par ordre croissant",
                "sortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
            },
            "select": {
                "rows": {
                    _: "%d lignes séléctionnées",
                    0: "Aucune ligne séléctionnée",
                    1: "1 ligne séléctionnée"
                }
            },
        },
        "order" : [[6, 'desc'], [4, 'asc'], [5, 'asc']],
        "pageLength": 50,
        "columnDefs": [{
            "orderable": false,
            "className": '',
            "targets": 0
        }],
        'select': {
            'style': 'multi',
            'selector': 'input[name="archive_select[]"]'
        },
        'dom': 'Blfrtip',
        'buttons': buttons,
        //"drawCallback": function(settings) {
            // var nbSuccess = 0;
            // var nbTotal = 0;
            // var errorDataArr = jQuery(this).DataTable().columns(13).data()[0];
            // errorDataArr.forEach(function(value) {
            //     if (value == 0) {
            //         nbSuccess++;
            //     }
            //     nbTotal++;
            // });
            // console.log('Traités : ' + nbSuccess + ' / ' + nbTotal);
        //},
    });

    jQuery('#archive_select_all').click(function(){
        if (jQuery(this).is(':checked')) {
            jQuery('input[class="archive_select"]').prop('checked', true);
            table.rows().select();
        } else {
            jQuery('input[class="archive_select"]').prop('checked', false);
            table.rows().deselect();
        }
    });
});