<?php
/**
 * Create your routes in here. The name is the lowercase name of the controller
 * without the controller part, the stuff after the hash is the method.
 * e.g. page#index -> OCA\DematPayslip\Controller\PageController->index()
 *
 * The controller class has to be registered in the application.php file since
 * it's instantiated in there
 */
return [
    'routes' => [
        ['name' => 'page#index', 'url' => '/', 'verb' => 'GET'],
        ['name' => 'page#upload', 'url' => '/', 'verb' => 'POST'],
        ['name' => 'page#check', 'url' => '/check', 'verb' => 'POST'],
        ['name' => 'page#indexation', 'url' => '/indexation/{retry}', 'verb' => 'POST'],
        ['name' => 'page#cancel', 'url' => '/cancel', 'verb' => 'POST'],
        ['name' => 'page#shares', 'url' => '/', 'verb' => 'GET'],
        ['name' => 'page#agent_list', 'url' => '/agent_list', 'verb' => 'GET'],
        ['name' => 'page#agent_csv', 'url' => '/agent_csv', 'verb' => 'GET'],
        ['name' => 'page#archive_list', 'url' => '/archive_list', 'verb' => 'GET'],
        ['name' => 'page#archive_action', 'url' => '/archive_action', 'verb' => 'POST'],
        ['name' => 'page#archive_csv', 'url' => '/archive_csv', 'verb' => 'GET'],
        //['name' => 'page#user_list', 'url' => '/user_list', 'verb' => ['GET', 'POST']],
        ['name' => 'page#user_list', 'url' => '/user_list', 'verbs' => 'GET'],
    ]
];
